Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class Facet

- org.gradle.plugins.ide.eclipse.model.Facet

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `enum` | `Facet.FacetType` | An `installed` facet is really present on an Eclipse project whereas facet type `fixed` means that this facet is locked and cannot be simply removed.

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`
    `Facet.FacetType` | `type`
    `String` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Facet ()`
    `Facet (groovy.util.Node node)`
    `Facet (String name, String version)`
    `Facet (Facet.FacetType type, String name, String version)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `appendNode(groovy.util.Node node)`
    `boolean` | `equals(def o)`
    `int` | `hashCode()`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String name

    - #### Facet.FacetType type

    - #### String version

  - ### Constructor Detail

    - #### Facet()

    - #### Facet(groovy.util.Node node)

    - #### Facet(String name, String version)

    - #### Facet(Facet.FacetType type, String name, String version)

  - ### Method Detail

    - #### void appendNode(groovy.util.Node node)

    - #### boolean equals(def o)

    - #### int hashCode()

    - #### String toString()